OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
AttributeHashFilter< RandGenT, IntType > Class Template Reference

`#include <IndexFilter.h>`

## Public Types
using | Handle = AttributeHandle< IntType >

## Public Member Functions
| AttributeHashFilter (const size_t index, const double percentage, const unsigned int seed=0)
| AttributeHashFilter (const AttributeHashFilter &filter)
bool | initialized () const
template<typename LeafT >
void | reset (const LeafT &leaf)
template<typename IterT >
bool | valid (const IterT &iter) const

## Member Typedef Documentation

## ◆ Handle

using Handle = AttributeHandle<IntType>

## Constructor & Destructor Documentation

## ◆ AttributeHashFilter() [1/2]

AttributeHashFilter | ( | const size_t | index,
|  | const double | percentage,
|  | const unsigned int | seed = `0`
| ) |  |
| inline

## ◆ AttributeHashFilter() [2/2]

AttributeHashFilter | ( | const AttributeHashFilter< RandGenT, IntType > & | filter | ) |
| inline

## Member Function Documentation

## ◆ initialized()

bool initialized | ( |  | ) | const
| inline

## ◆ reset()

void reset | ( | const LeafT & | leaf | ) |
| inline

## ◆ valid()

bool valid | ( | const IterT & | iter | ) | const
| inline

The documentation for this class was generated from the following file:

- IndexFilter.h